// c_filter.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include "c_filter.h"

/////////////////////////////////////////////////////////////////////////////
// C_FILTER EXAMPLE FOR WINFBB32
// 27/01/00 - EB5AGF
/////////////////////////////////////////////////////////////////////////////
//
// Parameters :
// int ac : 
//     number of parameters given in argv
// char **argv : 
//     Table of pointers to strings.
//     Last pointer is NULL
// char *r_buf :
//     Buffer to place the text returned to the user
// int len :
//     Buffer length. Don't use more!
//
//The line arguments given to the C_FILTER program are :
//
// av[0]: Name of the filter
// av[1]: Callsign (format as F6FBB-8).
// av[2]: Level number (0 is the first time, up to 99).
// av[3]: Flags of the user (binary number as user's mask of INIT.SRV).
// av[4]: Flag indicating if the user is unknown in the BBS database.
// av[5]: Record number of the user in INF.SYS.
// av[6]: Port where was connected the user.
// av[7]: Received data (in one argument).
//
// Return value. It indicates to the server what to do with the 
//               incomming connection.
//
// 0 : Connection is accepted
// 1 : C_FILTER will called again, level is incremented
// 2 : Connection is refused, user is disconnected
// 3 : Connection is accepted, but in read-only mode
// 4 : Connection is accepted, but messages will be hold.100 and up
// 100 and up : C_FILTER will called again, next level is equal to the return value.
//
/////////////////////////////////////////////////////////////////////////////

int WINAPI svc_main (int ac, char FAR ** av, char FAR * r_buf, int len)
{
	FILE *fptr;

	fptr=fopen("c_filter.txt","wt");
	if(fptr==NULL)
		return(-1);
 
	fprintf(fptr,"C_FILTER arguments\n\n");

	for(int i=0;i<ac;i++)
		fprintf(fptr,"av[%d]: %s\n",i,av[i]);

	fclose(fptr);
	return(0);
}


